class PortalMembership(object):

    def __init__(self, *args, **kw):
        # must set member and anon for other
        # methods to work
        self.__dict__.update(kw)
    
    def isAnonymousUser(self):
        return self.anon

    def getAuthenticatedMember(self):
        return self.member
